/* Copyright (c) 1990 by Carrick Sean Casey. */
/* For copying and distribution information, see the file COPYING. */

/* send various messages to the server */

#include "fn.h"
#include "externs.h"

/* send normal open group message to the server */

csendopen(txt)
char *txt;
{
	sprintf(pbuf, "%c%s", M_OPEN, txt);
	setlen;
	sendit(pp);
}


/* send a login packet */

sendlogin(id, nick, group, command, passwd)
char *id, *nick, *group, *command, *passwd;
{

	sprintf(pbuf, "%c%s\001%s\001%s\001%s\001%s",
	  M_LOGIN, id, nick, group, command, passwd);
	setlen;
	sendit(pp);
}

/* send a pong */
sendpong()
{
	*pbuf = M_PONG;
	*pp = 1;
	sendit(pp);
}


/* send a command to the server */

sendcmd(cmd, args)
char *cmd, *args;
{
	sprintf(pbuf, "%c%s\001%s", M_COMMAND, cmd, args);
	setlen;
	sendit(pp);
}
